Groovy Documentation

## org.codehaus.groovy.transform.sc.transformers
[Java] Class BinaryExpressionTransformer

    java.lang.Object
      org.codehaus.groovy.transform.sc.transformers.BinaryExpressionTransformer

    public class BinaryExpressionTransformer
    extends java.lang.Object

Constructor Summary
`BinaryExpressionTransformer(StaticCompilationTransformer staticCompilationTransformer)`

Method Summary
`protected static boolean` | `isNullConstant(Expression expression)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### BinaryExpressionTransformer

    public BinaryExpressionTransformer(StaticCompilationTransformer staticCompilationTransformer)

Method Detail

### isNullConstant

    protected static boolean isNullConstant(Expression expression)

Groovy Documentation